using MusiLib.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MusiLib.Stub
{
    public class Stub : IPersistanceManager
    {
        public (List<Partition>, List<Utilisateur>) chargeDonnees()
        {
            List<Partition> favoris = new List<Partition>();
            List<Utilisateur> utilisateurs = new List<Utilisateur>();

            Utilisateur kevin = new Utilisateur("Kevin");
            Utilisateur michel = new Utilisateur("Michel");
            utilisateurs.Add(kevin);
            utilisateurs.Add(michel);

            Partition amazing_grace = new Partition("Amazing Grace", "John Newton", 1, "Amazing Grace est l'un des cantiques chrétiens les plus célèbres dans le monde anglophone. La première publication des paroles date de 1779. Associé à diverses mélodies au fil des années, il est aujourd'hui interprété sur la musique de New Britain", "piano","amazing.png");
            Partition au_clair_de_la_lune = new Partition("Au clair de la lune", "Édouard-Léon Scott de Martinville", 1, "Au clair de la lune est une chanson populaire française dont la mélodie, très caractéristique, ainsi que les paroles — surtout celles du premier couplet — sont si familières qu'elles ont fait l'objet d'innombrables citations, adaptations, parodies, pastiches, etc.", "piano","au_clair_de.png");
            Partition aura_lee_love_me = new Partition("aura_lee_love_me_tender", "e", 2, "e", "oro", "aura_lee_love_me.png");
            Partition ode_a_la_joie = new Partition("ode_joie", "a", 3,"e", "aa", "ode_a_la.png");
            Partition fais_dodo_colas = new Partition("fais_dodo", "ee", 4, "a", "ada", "fais_dodo_colas.png");



            favoris.Add(amazing_grace);
            favoris.Add(ode_a_la_joie);
            favoris.Add(fais_dodo_colas);
            favoris.Add(au_clair_de_la_lune);
            favoris.Add(aura_lee_love_me);
            return (favoris, utilisateurs);
        }

        public void sauvegardeDonnees(List<Partition> p, List<Utilisateur> u)
        {
            
        }
    }
}
